%define origname cups-bjnp

Summary:	CUPS backend for the Canon BJNP network printers 
Name:		cups-drivers-bjnp
Version:	0.5.4
Release:	%mkrel 2
License:	GPLv2
Source:		http://downloads.sourceforge.net/%{origname}/%{origname}-%{version}.tar.gz
Group:		System/Printing
URL:		https://sourceforge.net/projects/cups-bjnp
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	cups-devel
Requires:	cups

%description
This package contains a backend for CUPS for Canon printers using the 
proprietary BJNP network protocol.

%prep
%setup -q -n %{origname}-%{version}

%build
%configure \
	--prefix=%{_prefix} \
	--with-cupsbackenddir=%{_prefix}/lib/cups/backend
%make

%install
rm -fr %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -p" install

%clean
rm -fr %{buildroot}
 
%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog TODO NEWS README
%{_prefix}/lib/cups/backend/bjnp





%changelog
* Wed Feb 23 2011 ennael <ennael> 0.5.4-2.mga1
+ Revision: 57682
- imported package cups-drivers-bjnp


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.4-2mdv2011.0
+ Revision: 603865
- rebuild

* Sun Mar 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.4-1mdv2010.1
+ Revision: 526084
- import cups-drivers-bjnp


* Fri May 29 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5.4-1
- More specfile cleanups suggested by Igor Jurišković <juriskovic.igor@gmail.com>
  and mtasaka@ioa.s.u-tokyo.ac.jp:
- removed INSTALL 
- use macros where appropriate),
- updated %%files so we only own bjnp, not the directory
- Removed generation of spec file from configure as it caused a lot of pain
- bumped version to 0.5.4

* Mon May 18 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5.3-2
- Specfile cleanups

* Sat May 16 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5.3-1
- Reverted changes to spec file generation
- Fixed some rpmlint comments that show up only on complete package but
  not when rpmlint is run on spec file

* Sat May 16 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5.2-2
- Corrected silly errors in configure script
- Added missing address family setting in bjnp-send-broadcast

* Thu Mar 12 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5-1
- Documentation improvements
- Debugging improvements
- Release 0.5

* Thu Feb 19 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5beta4-1
- Release 0.5beta4
- added autoconf/automake support
- added support for OS's that do not have getifaddr(). this support is limited as
  global broadcasts may not work when more than one active interface is found
- corrected an error when getifaddr finds a ptp interface

* Mon Nov 17 2008 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.4-1
- Release 0.4
- Added keep-alive to keep TCP connection open (printer will close it when
  connection is idle for ~30 sec). This will occur when filter is slow with
  sending more data for whatever reason.
- Added a delay of 15 seconds at end of printjob as some printers will otherwise not 
  accept new printjobs
- Cleanup of Makefile and specfile so it works for all RedHat style systems

* Tue Oct 7 2008 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.3-1
- added some sanity checks on call to gethostbyaddr so we do not bomb out
  when hostname field is not set (can this occur?) or when a buggy Avm fritz box
  returns noname rather then fail when no name is available on a reverse name lookup
- Added a version string printout when incorrect number of arguments is recieved on command line
- changed printbuffer to 4k. Recommended by Zedo, the Turboprint people
  changed throttle pause from 3 sec to 40 msec. Improves performance. Recommended by Zedo.
- fixed a bug in scanning our interfaces when ifa_addr could be 0
  (reported by Matt McHenry <jerith@speakeasy.org>)
- added new/ improved compiler flags that trap more mistakes
- sone cleanup with feedback from Sane-BJNP (revised protocol codes etc)
- minor bugfixes for off-line behaviour

* Sat Aug 9 2008 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.2-1
- release 0.2

* Sat Aug 2 2008 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.1-1
- Initial RPM release for release 0.1
